For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate file (remote upload)
      • POSTImport file
      • GETList files
      • PATCHMove file
      • PATCHRestore file
      • GETShow file
      • GETShow file upload status
      • PATCHUpdate file

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceFiles

Create file (remote upload)

Deprecated
POST
https://api.frame.io/v4/accounts/:account_id/folders/:folder_id/files/remote_upload
POST
/v4/accounts/:account_id/folders/:folder_id/files/remote_upload
1from frameio_experimental import FrameioExperimental
2from frameio_experimental.files import FileCreateRemoteUploadParamsData
3
4client = FrameioExperimental(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.files.create_remote_upload(
9 account_id="144b5894-f0f4-4fe6-a8f9-2db917683c06",
10 folder_id="8c6d8af3-4c93-42d1-8ea5-fd3866a7ebb4",
11 api_version="experimental",
12 data=FileCreateRemoteUploadParamsData(
13 name="asset.png",
14 source_url="https://upload.wikimedia.org/wikipedia/commons/e/e1/White_Pixel_1x1.png",
15 ),
16)
1{
2 "data": {
3 "id": "b3bbca67-8df1-4fd4-8869-5a1192831d55",
4 "name": "asset.png",
5 "created_at": "2023-09-25T19:18:29.614189Z",
6 "parent_id": "082cae25-f199-4f09-852a-d201ff9240c7",
7 "project_id": "1ba23162-1f0f-4ea6-9cf0-15fe47d759d0",
8 "type": "file",
9 "updated_at": "2024-02-07T16:44:41.986478Z",
10 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
11 "file_size": 1137444,
12 "media_type": "image/png",
13 "status": "created",
14 "adobe_id": "urn:aaid:sc:US:a1b2c3d4-e5f6-7890-abcd-ef1234567890",
15 "adobe_version_id": "2"
16 },
17 "links": {
18 "status": "/v4/accounts/fb4dd62f-8a89-4e98-8fa1-ad4b29a0094f/files/eab70952-966c-4d99-949b-f0a947ca5754/status"
19 }
20}
Create new file under parent folder through remote upload. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://developer.adobe.com/frameio/api/current/#tag/Files/operation/files.create_remote_upload. <br/>Rate Limits: 5 calls per 1 second(s) per account_user
Was this page helpful?
Previous

Import file

Next

Create new file under parent folder through remote upload.
This endpoint has been added to Current Version of the API.
Please see https://developer.adobe.com/frameio/api/current/#tag/Files/operation/files.create_remote_upload.
Rate Limits: 5 calls per 1 second(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
folder_idstringRequired
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).

Headers

api-versionenumRequired
Allowed values:

Request

Request body
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

Accepted
dataobject
linksobject
Link to asset operation status

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).